summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorlinuxSEAT2015-12-09 20:33:56 +0300
committerlinuxSEAT2015-12-09 20:33:56 +0300
commitf2d1ab26ffe386d1d27490734b1c1e179f763fd7 (patch)
treefcd1e9282618cc4b48087aa4aad8dab69ef2c24f
downloadaur-f2d1ab26ffe386d1d27490734b1c1e179f763fd7.tar.gz
Initial import
-rw-r--r--.SRCINFO21
-rw-r--r--PKGBUILD33
-rw-r--r--revit.patch79
3 files changed, 133 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..67f6c7484ac
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,21 @@
+# Generated by mksrcinfo v8
+# Wed Dec 9 17:32:54 UTC 2015
+pkgbase = revit
+ pkgdesc = A file carving tool for recovery and forensics
+ pkgver = 20070804
+ pkgrel = 3
+ url = https://github.com/libyal/reviveit
+ arch = i686
+ arch = x86_64
+ license = custom
+ depends = openssl
+ depends = file
+ optdepends = libewf: Support for Expert Witness Compression Format (EWF)
+ options = !libtool
+ source = https://c70f42b85bd16a3cde2c01fb0fba7562a16d22fd.googledrive.com/host/0B3fBvzttpiiSXzFYdm55enhGLU0/revit07-alpha-20070804.tar.gz
+ source = revit.patch
+ md5sums = 3a6edb1f5a581c180ae70ee2f2982f27
+ md5sums = 9cfbdd744c6ebaab732cc28d26240b7c
+
+pkgname = revit
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..3c6f18badb2
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,33 @@
+# Contributor: linuxSEAT <--put_my_name_here--@gmail.com>
+# Contributor: Adam Wolk <netprobe@gmail.com>
+
+pkgname=revit
+pkgver=20070804
+pkgrel=3
+pkgdesc='A file carving tool for recovery and forensics'
+url='https://github.com/libyal/reviveit'
+license=('custom')
+arch=('i686' 'x86_64')
+depends=('openssl' 'file')
+optdepends=('libewf: Support for Expert Witness Compression Format (EWF)')
+options=(!libtool)
+source=(https://c70f42b85bd16a3cde2c01fb0fba7562a16d22fd.googledrive.com/host/0B3fBvzttpiiSXzFYdm55enhGLU0/${pkgname}07-alpha-$pkgver.tar.gz
+ $pkgname.patch)
+
+build() {
+ cd $srcdir/${pkgname}07-$pkgver
+ patch -p1 -i $startdir/$pkgname.patch || return 1
+ ./configure --prefix=/usr --sysconfdir=/etc/$pkgname || return 1
+ make || return 1
+}
+
+package () {
+ cd $srcdir/${pkgname}07-$pkgver
+ make DESTDIR=$pkgdir install || return 1
+
+ install -Dm644 COPYING ${pkgdir}/usr/share/licenses/$pkgname/LICENSE
+ cp etc/* $pkgdir/etc/$pkgname/
+}
+
+md5sums=('3a6edb1f5a581c180ae70ee2f2982f27'
+ '9cfbdd744c6ebaab732cc28d26240b7c')
diff --git a/revit.patch b/revit.patch
new file mode 100644
index 00000000000..82af36d2d9f
--- /dev/null
+++ b/revit.patch
@@ -0,0 +1,79 @@
+diff -rup revit07-20070804-orig/src/media_access/media_access_ewf.c revit07-20070804/src/media_access/media_access_ewf.c
+--- revit07-20070804-orig/src/media_access/media_access_ewf.c 2007-03-10 12:25:33.000000000 +0300
++++ revit07-20070804/src/media_access/media_access_ewf.c 2012-10-21 22:52:14.408667044 +0300
+@@ -64,7 +64,7 @@ int media_access_ewf_type_test( char * c
+ }
+ for( iterator = 0; iterator < number_of_files; iterator++ )
+ {
+- if( libewf_check_file_signature( filenames[ iterator ] ) == 0 )
++ if( libewf_check_file_signature( filenames[ iterator ], NULL ) == 0 )
+ {
+ return( 0 );
+ }
+@@ -77,7 +77,7 @@ int media_access_ewf_type_test( char * c
+ */
+ int media_access_ewf_open( media_access_handle_t *handle, char * const filenames[], int number_of_files )
+ {
+- LIBEWF_HANDLE *ewf_handle = NULL;
++ libewf_handle_t *ewf_handle = NULL;
+
+ if( handle == NULL )
+ {
+@@ -112,7 +112,7 @@ int media_access_ewf_open( media_access_
+ */
+ ssize_t media_access_ewf_read_random( media_access_handle_t *handle, unsigned char *buffer, size_t size, off_t offset )
+ {
+- LIBEWF_HANDLE *ewf_handle = NULL;
++ libewf_handle_t *ewf_handle = NULL;
+ ssize_t read_count = 0;
+
+ if( handle == NULL )
+@@ -133,7 +133,7 @@ ssize_t media_access_ewf_read_random( me
+
+ return( -1 );
+ }
+- ewf_handle = (LIBEWF_HANDLE *) handle->handle;
++ ewf_handle = (libewf_handle_t *) handle->handle;
+ read_count = libewf_read_random( ewf_handle, (void *) buffer, size, offset );
+
+ if( read_count == -1 )
+@@ -150,7 +150,7 @@ ssize_t media_access_ewf_read_random( me
+ */
+ int media_access_ewf_close( media_access_handle_t *handle )
+ {
+- LIBEWF_HANDLE *ewf_handle = NULL;
++ libewf_handle_t *ewf_handle = NULL;
+
+ if( handle == NULL )
+ {
+@@ -164,7 +164,7 @@ int media_access_ewf_close( media_access
+
+ return( -1 );
+ }
+- ewf_handle = (LIBEWF_HANDLE *) handle->handle;
++ ewf_handle = (libewf_handle_t *) handle->handle;
+
+ libewf_close( ewf_handle );
+ free( handle );
+@@ -176,7 +176,8 @@ int media_access_ewf_close( media_access
+ */
+ off_t media_access_ewf_size( media_access_handle_t *handle )
+ {
+- LIBEWF_HANDLE *ewf_handle = NULL;
++ libewf_handle_t *ewf_handle = NULL;
++ size64_t *media_size = NULL;
+
+ if( handle == NULL )
+ {
+@@ -190,9 +191,9 @@ off_t media_access_ewf_size( media_acces
+
+ return( 0 );
+ }
+- ewf_handle = (LIBEWF_HANDLE *) handle->handle;
++ ewf_handle = (libewf_handle_t *) handle->handle;
+
+- return( (off_t) libewf_get_media_size( ewf_handle ) );
++ return( (off_t) libewf_get_media_size( ewf_handle, media_size ) );
+ }
+
+ #endif /* HAVE_LIBEWF */